<?php
require_once('clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', 'clases/xajax/');

function xBuscar($varForm, $varField, $varOrder) {
	$objResponse = new xajaxResponse();
	$var = VarServer("MYSQLI");
	
	if(!isset($_SESSION["_CUSE"])) {
		$respuestaXajax->redirect("http://www.google.com.pe");
		}
	else {
		$obj = new clsRegistroVentas($var[0],$var[1],$var[2],$var[3],$var[4]);	
		$varTabla = $obj->GridDatos($varForm, $varField, $varOrder);
		$objResponse->assign("divDatos", "innerHTML", utf8_encode($varTabla));
		$varMarcar="ResaltarSeleccionado()";
		$objResponse->script($varMarcar); 
		}
	return $objResponse;
	}

	
function xEliminar($varCod) {
	$var = VarServer("MYSQLI");
	$obj = new clsRegistroVentas($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varResul = $obj->ProcesoEliminar($varCod);	
	$respuestaXajax = new xajaxResponse();
	if ($varResul=="OK") {
		$respuestaXajax->alert("VENTA ANULADA CORRECTAMENTE");
		}
	else
		$respuestaXajax->alert("ERROR AL PROCESAR DATOS...!!!!!\n====================================\n".$varResul."\nVERIFIQUE LOS DATOS POR FAVOR");
		
	return $respuestaXajax;
	}
	
$xajax->register(XAJAX_FUNCTION, 'seleccionarNroDocumento');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_cliente');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_tipo_docpago');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_tipo_docventa');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_vendedor');

$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xEliminar');

$xajax->processRequest();
$xajax->printJavascript("clases/xajax");
?>
<script language="javascript">		
	function xBuscarJS(varField, varOrder) {
		if (xajax.$("ccod").value=="" && xajax.$("vcod").value=="" && xajax.$("fini").value=="" && xajax.$("ffin").value=="" && xajax.$("rcod").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE UTILIZAR AL MENOS UN PARAMETRO DE BUSQUEDA");  
			xajax.$("pcod").focus();
			return (false); 
			}
		else {
			xajax_xBuscar(xajax.getFormValues('form'),varField, varOrder);		
			}
		}
	
	function xEliminarJS(varCod, varEmi, varDoc, varCli, varTab) {
		if(confirm('¿ESTA SEGURO DE ANULAR ESTE DOCUMENTO DE VENTA?\n================================================\nFecha Emisión \t: '+varEmi+'\nDocumento. \t\t: '+varDoc+'\nCliente \t\t\t: '+varCli+'\nTENGA EN CUENTA QUE ESTE PROCESO REALIZARA LO SIGUIENTE:\n** ANULARA EL MOVIMIENTO QUE SE REALIZO EN EL ALMACEN\n** ANULARA TODOS LOS PAGOS QUE SE HAYAN REALIZADO A ESTE DOCUMENTO EN LA CUENTA CORRIENTE DEL CLIENTE')) {			
			xajax_xEliminar(varCod);
			EliminarFilaTabla(varTab)
			}
		}
		
</script>

<?php		
		
function MyTable($obj, $varTitulo, $Opcion, $Valor) {
	echo "<div id=\"divForm\">";
	echo $obj->FormuBusqueda();
	echo "<div id=\"divDatos\">";
	//echo $obj->GridDatos();		
	echo "</div>";
	echo "</div>";
	
	
	$Link = $_SERVER['PHP_SELF'];
	$MyTabla = "_sv_venta";
	$myID = "id_venta";
	$varFINI = (isset($_POST["eini"]))?$_POST["eini"]:NULL;
	$varFFIN = (isset($_POST["efin"]))?$_POST["efin"]:NULL;
	$varCCOD = (isset($_POST["ccod"]))?$_POST["ccod"]:NULL;
	$varCNOM = (isset($_POST["cnom"]))?$_POST["cnom"]:NULL;
	$varVCOD = (isset($_POST["vcod"]))?$_POST["vcod"]:NULL;
	$varVNOM = (isset($_POST["vnom"]))?$_POST["vnom"]:NULL;
	?>
	<script language="javascript">
	
	function CalcularItem(i) {
		var varCant = 0;
		var varUnitario = 0;
		
		var vuni = document.getElementById('ipre['+i+']');
		var vcant = document.getElementById('ican['+i+']');	
		var vtot = document.getElementById('itot['+i+']');
		
		if (vuni.value=="") varUnitario = "0";
		else	varUnitario = vuni.value;
		
		if (vcant.value=="") varCant="0";
		else	varCant = vcant.value;
		

		var varTotal = parseFloat(varUnitario)*parseFloat(varCant);
		vtot.value = redondear(varTotal,2);
		CalculaRTotal();
		}
		
	function CalculaRTotal() {
		var form = document.getElementById('form');
		var sto = 0;
		for (i=0;i<form.elements.length;i++) {	
			var Campo = form.elements[i].name;		
			if(Campo.indexOf("itot")==0) {			
				if (form.elements[i].value!="") {				
					sto = sto + parseFloat(form.elements[i].value);		
					}
				}
			}
		var vtotal = document.getElementById('tot');
		vtotal.value = redondear(sto,2);
		}
		
	function restar() {
		var miTabla = document.getElementById("cuerpoTabla");
		var i = 0;
		do
			if (miTabla.rows[i].getElementsByTagName("input")[0].checked == true)
				miTabla.deleteRow(i);
			else
				i ++;
		while (miTabla.rows.length != i)
	}
	
	
	
	function DeleteRow(x) {
		alert("delete row x");
		while (x.tagName.toLowerCase() !='tr') {
			if(x.parentElement)
				x=x.parentElement;
			else if(x.parentNode)
				x=x.parentNode;
			else
			return;
			}
		var rowNum=x.rowIndex;
		while (x.tagName.toLowerCase() !='table') {
			if(x.parentElement)
				x=x.parentElement;
			else if(x.parentNode)
				x=x.parentNode;
			else
				return;
			}
		x.deleteRow(rowNum);
		CalculaRTotal();
		}
		
	function select_producto(ide, varLista) {	
		var ccod1 = document.getElementById('icod['+ide+']');
		var cnom1 = document.getElementById('inom['+ide+']');
		var cuni1 = document.getElementById('ipre['+ide+']');
		var cstk1 = document.getElementById('istk['+ide+']');
		var cume1 = document.getElementById('iuni['+ide+']');
		
		var existe="NO";
		var form = document.getElementById('form');	
		if(ccod1=="") {
			ccod1.value = "";
			cnom1.value = "";
			cstk1.value = "";
			cume1.value = "";
			}
		else {		
			var dato = koolajax.callback(seleccionaProducto(ccod1.value, varLista));		
			if(dato=="NO EXISTE") {
				alert("PRODUCTO ESCRITO NO EXISTE...");
				ccod1.value = "";
				cnom1.value = dato;
				cuni1.value = "";
				cume1.value = "";
				ccod1.focus();
				}
			else {
				var myArray = dato.split('[[sep]]'); 			
				for (i=0;i<form.elements.length;i++) {
					var Campo = form.elements[i].name;		
					if(Campo.indexOf("icod")==0 && form.elements[i].value==ccod1.value && Campo != ccod1.name) {
						existe="SI";	
						}	
					}				
				if (existe=="SI") {
					ccod1.value = "";
					cnom1.value = "";
					cuni1.value = "";
					cume1.value = "";
					alert("EL producto : " + ccod1.value + "\n" + myArray[0] + "\nYA ESTA AGREGADO, SELECCIONE OTRO POR FAVOR");
					ccod1.focus();
					}
				else {
					
					cnom1.value = myArray[0];
					cume1.value = myArray[1];
					cstk1.value = myArray[3];
					cuni1.value = myArray[2];
					}
				}
			}
		}
		
function ImprimirDoc(numDoc, varTipo) {
	if (varTipo==2) {
		var Ruta = 'print/print_factura.php?ndoc='+numDoc+'&ctip='+varTipo;
		testwindow = window.open (Ruta, "mywindow", "location=no,status=no,toolbar=no,scrollbars=1,width=850,height=550");
		}
	else if(varTipo==3) {
		var Ruta = 'print/print_boleta.php?ndoc='+numDoc+'&ctip='+varTipo;
		testwindow = window.open (Ruta, "mywindow", "location=no,status=no,toolbar=no,scrollbars=1,width=650,height=450");		
		}
	else  {
		var Ruta = 'print/print_guia.php?ndoc='+numDoc+'&ctip='+varTipo;
		testwindow = window.open (Ruta, "mywindow", "location=no,status=no,toolbar=no,scrollbars=1,width=850,height=550");
		}	
	}
			
function GenerarGuia(varCod, varEmi, varDoc, varUrl) {	
	if(confirm('¿ESTA SEGURO DE GENERAR UN GUIA DE REMISION REMITENTE DE?\nFecha Emisión : '+varEmi+'\nDocumento : '+varDoc)) {		
		var Ruta = varUrl+'?opt=GUIA&valor='+varCod;
		window.open(Ruta);	
		}
	}
</script>
	<?php
	if($Opcion=="GUIA") {
		$sql = "CALL spQuery_Registro_Ventas_Detalle($Valor)";
		$obj->AbrirConexion();
		$rs = $obj->Query($sql);
		$obj->CerrarConexion();
		$Fila = $obj->FetchArray($rs);
		/*
		if($Fila["CTIP"]<>"FACTURA" && $Fila["CTIP"]<>"BOLETA") {
			echo "<script language='Javascript'>";
			echo "window.location='$Link'";
			echo "</script>\n";
			}
		*/
		$sql = "select spFuncion_NumeroDocumento(4);";
		$obj->AbrirConexion();
		$rsg = $obj->Query($sql);
		$obj->CerrarConexion();
		$FilaG = $obj->FetchArray($rsg);
		
		$varTabla=array("id"=>"tabla", "name"=>"table", "tamano"=>"500", "clase"=>"Formtitulo", "titulo"=>$varTitulo." - GENERAR GUIA",
						"formu"=>array("id"=>"form", "name"=>"form", "metodo"=>"POST"),						
						"ocult"=>array(array("tipo"=>"oculto", "id"=>"titu", "name"=>"titu", "valor"=>$varTitulo),
									   array("tipo"=>"oculto", "id"=>"opt", "name"=>"opt", "valor"=>$Opcion),
									   array("tipo"=>"oculto", "id"=>"ide", "name"=>"ide", "valor"=>$Valor),
									   array("tipo"=>"oculto", "id"=>"cli", "name"=>"cli", "valor"=>$Fila["CCLI"]),
									   array("tipo"=>"oculto", "id"=>"ven", "name"=>"ven", "valor"=>$Fila["CVEN"]),
									   array("tipo"=>"oculto", "id"=>"con", "name"=>"con", "valor"=>$Fila["CCON"]),
									   array("tipo"=>"oculto", "id"=>"ubp", "name"=>"ubp", "valor"=>$Fila["UBI_LOC"]),
									   array("tipo"=>"oculto", "id"=>"ubd", "name"=>"ubd", "valor"=>$Fila["UBI_CLI"]),
									   array("tipo"=>"oculto", "id"=>"tot", "name"=>"tot", "valor"=>$Fila["TOTAL"])
									  ),
						"conte"=>array(array("titulo"=>"Fecha Emision :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
											 "texto"=>$Fila["EMISION"], "tamano"=>"130"),
									   array("titulo"=>"Tipo Documento :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
									   		 "texto"=>$Fila["CTIP"]),
									   array("titulo"=>"Nro Documento :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["NDOC"]),
									   array("titulo"=>"Cliente :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["CCLI"].' - '.$Fila["CLIENTE"]),
									   array("titulo"=>"Vendedor :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["CVEN"].' - '.$Fila["VENDEDOR"]),
									   array("titulo"=>"Condición Venta :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["CCON"].' - '.$Fila["CONDICION"]),
									   array("titulo"=>"Monto :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>number_format($Fila["TOTAL"], 2,'.',',')),									   
									   array("titulo"=>"Nro. Pedido :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["PEDIDO"]),
									   array("titulo"=>"Nro. Guia	 :", "clase1"=>"FormCampo1", "clase2"=>"interior", "tamano"=>"100",
										 	 "campo" =>array("tipo"=>"texto", "id"=>"cod", "name"=>"cod", "clase"=>"inputDisable",
										 	 "valor"=>$FilaG[0], "alinear"=>"center", "locked"=>"SI", "ancho"=>"100")),
									   array("titulo"=>"Direccion Partida :", "clase1"=>"FormCampo1", "clase2"=>"interior", "tamano"=>"100",
										 	 "campo" =>array("tipo"=>"texto", "id"=>"dirp", "name"=>"dirp", "clase"=>"inputDisable",
										 	 "valor"=>$Fila["DIRE_LOC"], "locked"=>"SI", "ancho"=>"300")),
									   array("titulo"=>"Ubigeo Partida :", "clase1"=>"FormCampo1", "clase2"=>"interior", "tamano"=>"100",
										 	 "campo" =>array("tipo"=>"texto", "id"=>"ubip", "name"=>"ubip", "clase"=>"inputDisable",
										 	 "valor"=>$Fila["DEP_LOC"]." - ".$Fila["PRO_LOC"]." - ".$Fila["DIS_LOC"], "locked"=>"SI", "ancho"=>"300")),
									   
									   array("titulo"=>"Direccion Destino :", "clase1"=>"FormCampo1", "clase2"=>"interior", "tamano"=>"100",
										 	 "campo" =>array("tipo"=>"texto", "id"=>"dird", "name"=>"dird", "clase"=>"inputDisable",
										 	 "valor"=>$Fila["DIRE_CLI"], "locked"=>"SI", "ancho"=>"300")),
									   array("titulo"=>"Ubigeo Destino :", "clase1"=>"FormCampo1", "clase2"=>"interior", "tamano"=>"100",
										 	 "campo" =>array("tipo"=>"texto", "id"=>"ubid", "name"=>"ubid", "clase"=>"inputDisable",
										 	 "valor"=>$Fila["DEP_CLI"]." - ".$Fila["PRO_CLI"]." - ".$Fila["DIS_CLI"], "locked"=>"SI", "ancho"=>"300")),
									   array("titulo"=>"Fecha Emisión :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "campo" =>array("tipo"=>"fecha", "id"=>"femi", "name"=>"femi", "alinear"=>"center", "valor"=>$Fila["EMISION"], "ancho"=>"100")),	 
									   array("titulo"=>"Fecha Traslado :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "campo" =>array("tipo"=>"fecha", "id"=>"ftra", "name"=>"ftra", "alinear"=>"center", "valor"=>$Fila["EMISION"], "ancho"=>"100"))
									   ),
						"boton"=>array(array("tipo"=>"submit", "id"=>"bsavguia", "name"=>"bsavguia", "ancho"=>"80", "alto"=>"22", 
											 "texto"=>"Generar", "click"=>"return confirm('¿DESEA GENERAR ESTA GUIA?\\nTENGA EN CUENTA QUE CUALQUIER GUIA ANTERIOR\\nQUE TENGA ESTE DOCUMENTO SERA ANULADA')"),			  
									   array("tipo"=>"button", "id"=>"breg", "name"=>"breg", "ancho"=>"80", "alto"=>"22", 
											 "texto"=>"Regresar", "click"=>"location='$Link'"),
									)
						);
		echo $obj->setTablaForm($varTabla);
		$sql = "select D.id_producto AS CPRO, A.descripcion AS PRODUCTO, D.PRECIO, 
				D.CANTIDAD,
				D.TOTAL
				from _sv_venta_detalle D
				inner join _sv_producto A ON D.id_producto = A.id_producto
				where D.id_venta=$Valor";
		$rs_cab = array(0=>array("tamano"=>50, "titulo"=>"CITEM", "Negrita"=>"SI", "Alinear"=>"center"),
						1=>array("tamano"=>350, "titulo"=>"NOMBRE DE ARTICULO"),
						2=>array("tamano"=>60, "titulo"=>"PRECIO", "Alinear"=>"right"),
						3=>array("tamano"=>70, "titulo"=>"CANTIDAD", "Alinear"=>"right"),
						4=>array("tamano"=>70, "titulo"=>"IMPORTE", "Alinear"=>"right")
						);
		echo $obj->SetGrid(600,$rs_cab,$sql,NULL,4, NULL, "SI"); 
		}	
	
	if(isset($_POST["bsavguia"])) {
		$Link = $_SERVER['PHP_SELF'];
		$var = VarServer("MYSQLI");
		$obj = new clsConexion($var[0],$var[1],$var[2],$var[3],$var[4]);
		$varUsr = (isset($_SESSION["_CUSE"]))  ? $_SESSION["_CUSE"] : "1";
		$varIde	= $_POST["ide"];
		$varLoc = 1;
		$varCli	= $_POST["cli"];
		$varVen	= $_POST["ven"];
		$varEmi = FechaMySql($_POST["femi"]);	
		$varTra = FechaMySql($_POST["ftra"]);
		$varCon	= $_POST["con"];
		$varUPa	= $_POST["ubp"];
		$varDPa	= $_POST["dirp"];
		$varUDe	= $_POST["ubd"];
		$varDDe	= $_POST["dird"];		
		$varTot = $_POST["tot"];
		$sql_guia = "call spMante_Guia_Cab($varIde, $varLoc, $varCli, $varVen, '$varEmi', '$varTra', $varCon, '$varUPa', '$varDPa', '$varUDe', '$varDDe', $varTot, $varUsr);";
		$obj->AbrirConexion();
		$rs_guia = $obj->Query($sql_guia);
		$obj->CerrarConexion();
		$Fila = $obj->FetchArray($rs_guia);
		$NumGuia = $Fila[0];
		$varRuta = "020104.php?opt=VIEW&valor=".$NumGuia;
		echo "<script language='Javascript'>";
		echo "window.location='$varRuta'";
		echo "</script>\n";
		}
	} 
?>